# Uses of Class
javafx.scene.layout.BackgroundSize

Packages that use BackgroundSize
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of BackgroundSize in javafx.scene.layout

Fields in javafx.scene.layout declared as BackgroundSize
Modifier and Type
Field
Description
`static final BackgroundSize`
BackgroundSize.`DEFAULT`
The default BackgroundSize used by BackgroundImages when an explicit size is not defined.
Methods in javafx.scene.layout that return BackgroundSize
Modifier and Type
Method
Description
`final BackgroundSize`
BackgroundImage.`getSize()`
The size of this image relative to the Region.
Constructors in javafx.scene.layout with parameters of type BackgroundSize
Modifier
Constructor
Description
``
`BackgroundImage(Image image, BackgroundRepeat repeatX, BackgroundRepeat repeatY, BackgroundPosition position, BackgroundSize size)`
Creates a new BackgroundImage.